
public final class Class225_Sub36_Sub1_Sub1 extends Class225_Sub36_Sub1 {

   int[] anIntArray10657 = null;
   Class103_Sub2 aClass103_Sub2_10658;
   int[] anIntArray10659 = null;


   Class225_Sub36_Sub1_Sub1(Class103_Sub2 var1, Class45 var2) {
      super(var2);
      this.aClass103_Sub2_10658 = var1;
      this.anIntArray10657 = var2.anIntArray481;
      this.anIntArray10659 = var2.anIntArray479;
   }

   final int method16469() {
      return this.anIntArray10657[this.aClass103_Sub2_10658.method2009(1288210238)];
   }

   public boolean method15647(int var1) {
      return true;
   }

   final int method16470() {
      return this.anIntArray10659[this.aClass103_Sub2_10658.method2009(1288210238)];
   }

   public final int method15633(int var1) {
      int var2 = this.anIntArray10657[var1];
      int var3 = this.anIntArray10659[var1];
      return var2 != -1?var2:(var3 != -1?var3 | 65536:-1);
   }

   public boolean method15631(int var1) {
      return true;
   }

   public final int method15630(int var1) {
      int var2 = this.anIntArray10657[var1];
      int var3 = this.anIntArray10659[var1];
      return var2 != -1?var2:(var3 != -1?var3 | 65536:-1);
   }

   public final int method15644(int var1) {
      int var2 = this.anIntArray10657[var1];
      int var3 = this.anIntArray10659[var1];
      return var2 != -1?var2:(var3 != -1?var3 | 65536:-1);
   }

   final int method16471() {
      return this.anIntArray10657[this.aClass103_Sub2_10658.method2009(1288210238)];
   }

   final int method16472() {
      return this.anIntArray10657[this.aClass103_Sub2_10658.method2009(1288210238)];
   }

   final int method16473() {
      return this.anIntArray10659[this.aClass103_Sub2_10658.method2009(1288210238)];
   }

   final int method16474() {
      return this.anIntArray10659[this.aClass103_Sub2_10658.method2009(1288210238)];
   }

   public final int method15638(int var1) {
      int var2 = this.anIntArray10657[var1];
      int var3 = this.anIntArray10659[var1];
      return var2 != -1?var2:(var3 != -1?var3 | 65536:-1);
   }
}
